﻿
$(function () {
    FastClick.attach(document.body);
})

var Package = angular.module("PackageDetailApp", []);

//引入$sce服务 该方法将值转换为特权所接受并能安全地使用"ng-bind-html"
Package.filter('to_trusted', ['$sce', function ($sce) {
    return function (text) {
        return $sce.trustAsHtml(text);
    };
}]);

Package.controller("PackageController", function ($http, $scope, $rootScope, $timeout) {
    var url = window.location.href;
    var index1 = url.toLowerCase().lastIndexOf("/p") + 2;
    var productID = url.substring(index1, url.length - 2);

    $scope.ProductID = productID; //api.getQueryString("id") == null ? "0" : api.getQueryString("id");

    $scope.Product = {
        DepartCityText: "",
        MainTitle: "",
        SubTitle: "",
        ProductFeature: [],
        TrafficInfoList: [],
        HotelProductList: [],
        JourneyList: [],
        PictureList: [],
        FeeContain: [],
        FeeNotContain: [],
        BookingPolicy: [],
        OtherInfo: "",
        Duration: 0,
        ProFlag: 0,
        ServiceTel: "4008840086",
    };
    $scope.ProductStatus = 0;
    $scope.level = [];
    $rootScope.KeyWords = "";
    $rootScope.Description = "";
    $rootScope.PageTitle = "";
    $scope.BannerUrl = "http://pic3.aoyou.com/webapp/msite/640-480.jpg";
    $scope.BannerAlt = "产品图";
    $scope.PriceList = [];
    $scope.AllPriceList = [];
    $scope.DepartDateHtml = [];
    $scope.StartDate = "";
    $scope.EndDate = "";
    $scope.MonthStr = "";
    $scope.StartDateFirst = "";
    $scope.PreferenceList = [];
    $scope.MinPrice = 0;
    $scope.MacketPrice = 0;
    $scope.CooTime = "";
    $scope.DatePriceStr = "";
    $scope.Tag = "";

    $scope.IsMicroShop = false;
    $scope.IsShare = false;
    $scope.IsSaleOut = true;
    $scope.IsMicroShopOwner = false;
    $scope.IsShowMarketPrice = false;
    $scope.IsShowSpecialOffer = false;
    $scope.IsShowTrafficInfo = false;
    $scope.IsShowHotelList = false;
    $scope.IsShowJourneyList = false;
    $scope.PicUrlList = [];
    $scope.IsShowProductFeature = false;
    $scope.IsShowPriceListView = false;
    $scope.IsShowLayerPrice = false;
    $scope.IsShowAdditional = false;

    //子页面弹层和返回共用
    $scope.ShowLayer = function (id) {
        $("#" + id).removeClass('layerFadeOutRight');
        $("#" + id).removeClass('layerFadeInRight');
        $("#mainLayer").toggleClass("hide");
        //子页面弹出
        if ($("#" + id).attr("class").indexOf("hide") != -1) {
            $("#" + id).toggleClass("hide");
            $("#" + id).addClass('layerFadeInRight');      
        }
        //返回时
        else {
            $("#" + id).addClass("layerFadeOutRight");           
            setTimeout(function () {
                $("#" + id).toggleClass("hide");
            }, 200);
        }
    };

    //酒店和行程子页面
    $scope.ShowSpecialLayer = function (id, num) {
        if (id == "journeyLayer") {
            picLazyLoad($("img.journeyLazy"));
        }
        else {
            picLazyLoad($("img.hotelLazy"));
        }        
        $("#" + id).toggleClass("hide");
        $("#" + id).addClass('layerFadeInRight');
        $("#mainLayer").toggleClass("hide");
        $("#" + id).removeClass('layerFadeOutRight');
        OpenSingleItem(id, num);
    };

    var devicetype = api.getQueryString("devicetype");
    //详情页主页返回按钮事件
    $scope.MainPageBack = function () {
        e.preventDefault();
        if (devicetype == 'android') {
            window.webinfo.closeActivity(3);
        }
        else if (devicetype == 'ios') {
            location.href = 'http://m.aoyou.com/wapAppJsFunction=3';
        }
        else {
            var reffer = getCookie('ProductDetailFrom');
            if (reffer && typeof (reffer) != 'undefined') {
                location.href = reffer;
            }
            else {
                history.go(-1);
            }
        }
    };

    var param = JSON.stringify({
        "ProductID": $scope.ProductID
    });

    api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetProductStatus', param, true, function (obj) {
        if (obj.ErrorCode == 200) {
            $scope.ProductStatus = JSON.parse(obj.JsonResult);
        }
    });

    api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetPackageProduct', param, true, function (obj) {
        if (obj.ErrorCode == 200) {
            $scope.Product = JSON.parse(obj.JsonResult);
            $rootScope.KeyWords = $scope.Product.KeyWords == null ? "" : $scope.Product.KeyWords;
            $rootScope.Description = $scope.Product.Description == null ? "" : $scope.Product.Description;
            $rootScope.PageTitle = $scope.Product.MainTitle;
            if ($scope.Product.PictureList != undefined && $scope.Product.PictureList.length > 0 &&
        $scope.Product.PictureList[0].PicUrlList != undefined && $scope.Product.PictureList[0].PicUrlList.length > 0) {
                $scope.BannerUrl = $scope.Product.PictureList[0].PicUrlList[0];
            }
            if ($scope.Product.ProductFeature != undefined && $scope.Product.ProductFeature.length > 0) {
                $scope.IsShowProductFeature = true;
            }
            if ($scope.Product.TrafficInfoList != undefined && $scope.Product.TrafficInfoList.length > 0) {
                $scope.IsShowTrafficInfo = true;
            }
            if ($scope.Product.AddProductList != undefined && $scope.Product.AddProductList.length > 0) {
                $scope.IsShowAdditional = true;
            }
            if ($scope.Product.HotelProductList != undefined && $scope.Product.HotelProductList.length > 0) {
                $scope.IsShowHotelList = true;
                for (var i = 0; i < $scope.Product.HotelProductList.length; i++) {
                    var item = $scope.Product.HotelProductList[i];
                    if (item.StarLevel <= 10) {
                        var StarLevelText = "";
                        for (var j = 0; j < item.StarLevel; j++) {
                            StarLevelText += "<span>★</span>";
                        }
                        $scope.Product.HotelProductList[i].StarLevelText = StarLevelText;
                    }
                }
            }
            if ($scope.Product.JourneyList != undefined && $scope.Product.JourneyList.length > 0) {
                $scope.IsShowJourneyList = true;
            }
            if (api.getQueryString("microshopid") != undefined) {
                $scope.IsMicroShop == true;
            }
            if (api.getQueryString("devicetype") != undefined) {
                $scope.IsShare = true;
            }
            if (api.getQueryString("microshopowner") != undefined && api.getQueryString("microshopowner") == "1") {
                $scope.IsMicroShopOwner = true;
            }

            //出发日期 价格信息
            api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetPackageProductPriceCalendar', param, true, function (obj) {
                if (obj.ErrorCode == 200) {
                    $scope.PriceList = JSON.parse(obj.JsonResult);
                    if ($scope.PriceList != undefined && $scope.PriceList.length > 0) {

                        $scope.IsShowPriceListView = true;
                        $scope.DepartDateStr = "";
                        //出发日期第一天
                        var startDateFirst = new Date();
                        if ($scope.PriceList[0].PriceViewList != undefined && $scope.PriceList[0].PriceViewList.length > 0) {
                            var startDate = $scope.PriceList[0].PriceViewList[0].DepartDate;
                            if (startDate != undefined) {
                                startDateFirst = startDate;
                                $scope.StartDateFirst = startDateFirst;
                                $scope.StartDate = addDate(startDate, 0); //Date.parse(startDate);
                                $scope.EndDate = addDate($scope.StartDate, $scope.Product.Duration);
                            }
                        }

                        //出发日期拼接
                        var monthStr = "";
                        for (var i = 0; i < $scope.PriceList.length; i++) {
                            var item = $scope.PriceList[i];
                            var departDateDayStr = "";
                            $scope.DepartDateHtml.push("<div class=\"departureDate\">");
                            $scope.DepartDateHtml.push("<p class=\"fl departureDate-month\">" + item.CurrentMonth + "月</p>");
                            $scope.DepartDateHtml.push("<p class=\"fl departureDate-day\">");
                            for (var j = 0; j < item.PriceViewList.length; j++) {
                                var itemPriceView = item.PriceViewList[j];
                                departDateDayStr += new Date(Date.parse(itemPriceView.DepartDate)).getDate().toString() + ",";
                            }
                            departDateDayStr = departDateDayStr.substring(0, departDateDayStr.length - 1);
                            if (item.PriceViewList.length > 12) {
                                departDateDayStr += "...";
                            }
                            $scope.DepartDateHtml.push(departDateDayStr);
                            $scope.DepartDateHtml.push("</p></div>");
                            monthStr += item.CurrentMonth + ",";
                            $scope.AllPriceList.push(item.PriceViewList);
                            $scope.MonthStr = monthStr.substring(0, monthStr.length - 1);
                        }
                        //日历初始化
                        InitCalendar($scope.PriceList, $scope.MonthStr);
                        $scope.DepartDateHtml = $scope.DepartDateHtml.join("");

                        param = JSON.stringify({
                            "ProductID": $scope.ProductID,
                            "ProductType": 4
                        });
                        var preLogicUrl = "http://mpreferentiallogic.aoyou.com/api/";
                        //优惠信息
                        api.post($http, $scope, preLogicUrl, 'Preferential', 'GetPreferentialbyProduct', param, true, function (obj) {
                            if (obj.ErrorCode == 200) {
                                $scope.PreferenceList = JSON.parse(obj.JsonResult);
                                var normalPreferentialAmount = 0;
                                if ($scope.PreferenceList != undefined && $scope.PreferenceList.length > 0) {
                                    $scope.IsShowSpecialOffer = true;
                                    angular.forEach($scope.PreferenceList, function (item) {
                                        if (item.Preferential_IsNormal) {
                                            normalPreferentialAmount = item.NormalPreferentialAmount
                                        }
                                    })
                                }
                                if ($scope.AllPriceList != undefined && $scope.AllPriceList.length > 0) {
                                    for (var i = 0; i < $scope.AllPriceList.length; i++) {
                                        var minPrice = 0;
                                        var item = $scope.AllPriceList[i];
                                        angular.forEach(item, function (itemview) {
                                            if (itemview.FreeTourType == 1 || (itemview.FreeTourType == 2 && itemview.AirStock > 0 && itemview.HotelStock > 0)) {
                                                if (itemview.ShowPrice < minPrice || minPrice == 0) {
                                                    minPrice = itemview.ShowPrice;
                                                }
                                            }
                                        })
                                    }
                                    $scope.MinPrice = (parseFloat(minPrice) - parseFloat(normalPreferentialAmount)).toFixed("f0");
                                    $scope.MacketPrice = $scope.MinPrice;
                                    $scope.IsSaleOut = false;
                                }
                            }
                        });
                        //如果是多机多酒产品
                        if ($scope.Product.ProFlag == 3) {
                            param = JSON.stringify({
                                "ProductID": $scope.ProductID,
                                "DepartDate": startDateFirst.toString()
                            });
                            api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetAirSolution', param, true, function (obj) {
                                if (obj.ErrorCode == 200) {
                                    $scope.Product.TrafficInfoList = JSON.parse(obj.JsonResult);
                                }
                            })
                            api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetHotelProductView', param, true, function (obj) {
                                if (obj.ErrorCode == 200) {
                                    $scope.Product.HotelProductList = JSON.parse(obj.JsonResult);
                                }
                            })
                        }

                        //客服电话
                        var microshopid = api.getQueryString("microshopid");
                        if (microshopid != undefined) {
                            param = JSON.stringify({
                                "MicroShopId": microshopid
                            });
                            api.post($http, $scope, api.config.productlogic, 'PackageProduct', 'GetMicroShopTel', param, true, function (obj) {
                                if (obj.ErrorCode == 200) {
                                    $scope.Product.ServiceTel = JSON.parse(obj.JsonResult);
                                }
                            })
                        }
                    }

                }
            })

        }
        $timeout(function () {
            //初始化页面
            InitPage();
        }, 0, false)
    })
})


window.aIndex = 0;
window.parentScroll = 0;
//设备类型
var devicetype;
//=1使用wap价格日历
var usecalender;


function InitPage() {

    devicetype = api.getQueryString("devicetype");
    usecalender = getQueryString('usecalender');

    $(".goTop").fadeOut();

    //附加服务
    $(".showitem").each(function () {
        $(this).on("click", function () {
            $(this).next(".item-detail").toggleClass("hide");
            $(this).find(".a-right").toggleClass("rotate180");
        });
    });

    var pageContent = $(".page-content").height(); //屏幕高度
    $("#wrapperBox-list").children(".wrapperBox-title2").each(function () {
        $(this).on("click", function () {
            if ($(this).next('section').hasClass('borderBottom1e2')) {
                $(this).next(".borderBottom1e2").toggleClass("hide");
                $(this).find(".a-right").toggleClass("rotate90");
                if ($(this).children("h2").html() == '其他信息') {
                    var productId = $("#productid").val();
                    $("#packageOtherInfo div").css("width", "100%");
                    $("#packageOtherInfo img").css("width", "100%");
                    $("#packageOtherInfo img").css("height", "auto");
                }
            }
        });
    });

    //浏览历史页面生成
    var getStorage = localStorage.getItem("hiscookie");//读取数据
    if (getStorage != 'null') {
        pinHtml(getStorage);
    }

    try {
        bindSearchHistory();
    }
    catch (e) {
    }

    //首页
    $("#aShouYe").click(function (e) {
        e.preventDefault();
        if (devicetype == 'android') {
            window.webinfo.closeActivity(1);
        }
        else if (devicetype == 'ios') {
            location.href = 'http://m.aoyou.com/wapAppJsFunction=1';
        }
        else {
            location.href = "../";
        }
    });


    //搜索
    $("#aSearch").click(function (e) {
        e.preventDefault();
        if (devicetype == 'android') {
            window.webinfo.closeActivity(4);
        }
        else if (devicetype == 'ios') {
            location.href = 'http://m.aoyou.com/wapAppJsFunction=4';
        }
        else {
            location.href = "http://m.aoyou.com/destlist/1";
        }
    });

    //我的遨游
    $("#aMyAoYou").click(function (e) {
        e.preventDefault();
        if (devicetype == 'android') {
            window.webinfo.closeActivity(5);
        }
        else if (devicetype == 'ios') {
            location.href = 'http://m.aoyou.com/wapAppJsFunction=5';
        }
        else {
            location.href = "http://mmy.aoyou.com/home/index";
        }
    });

    //更多按钮事件
    $(".header-more").click(function () {
        //edit
        var datamore = $(this).data("more");
        if (datamore == "off") {
            $(".showPic-nav").animate({
                top: 0
            }, 200);
            $(".header-more").data("more", "on");
        } else {
            $(".showPic-nav").animate({
                top: "-70px"
            }, 200)
            $(".header-more").data("more", "off");
        }
    });

    //路线特色加载全部数据
    //线路特色高度
    var featureHeight;
    $("#youhuiBtn").click(function () {
        //edit-这里增加延时处理
        $(this).children("div").toggleClass("show");
        $("#sectionFeature").children("div").each(function () {
            $(this).children("p").children("span").toggleClass("fl");
            $(this).children("p").toggleClass("oline");
        })
        if (!featureHeight || featureHeight == 0) {
            featureHeight = $("#wrapFeature").height();
        }
        var tempHeight = $("#wrapFeature").height();
        if (tempHeight < featureHeight && featureHeight > ($(window).height() - 60)) {
            var scrollTop = tempHeight + tempHeight;
            $('#pageBackground', document).scrollTop(scrollTop);
            featureHeight = 0;
        }
    });

    //dom操作，需要指定context为当前的dom
    //超过一屏，显示浮动的客服电话和预定按钮
    var indexPageContent = $(".index-article").height() + $("footer").height(); //页面高度
    $(".page-content").scroll(function (e) {
        var indexArticleHeight = $(".page-content").scrollTop(); //滚动条高度
        if (indexArticleHeight > 350) //判断是否在可是区域
        {
            $(".product-fix").addClass("product-fixer");
            $(".goTop").fadeIn();
        } else {
            $(".product-fix").removeClass("product-fixer");
            $(".goTop").fadeOut();
        }
    });


    //回到页面上部
    $(".goTop").on("click", function () {
        $('.page-content').animate({
            scrollTop: 0
        }, 500);
    });


    //分享
    $("#aShare", document).click(function (e) {
        e.preventDefault();
        var minPrice = $('#money').val();
        var marketPrice = $('#marketprice').val();
        var productname = encodeURI($('#maintitle').val());
        var productSubname = encodeURI($('#subtitle').val())
        var title = encodeURI(document.title);
        var bannerUrl = $('#bannerUrl').attr('src');
        var departCity = $('#departCityText').val();
        if (devicetype == 'android') {
            window.webinfo.share(productname, productSubname, marketPrice, minPrice, bannerUrl, title);
            window.webinfo.share(productname, productSubname, marketPrice, minPrice, bannerUrl, title, departCity, '', '', '', '');
        }
        else if (devicetype == 'ios') {
            bannerUrl = bannerUrl.substring(7);
            var share = "share://" + productname + '////' + productSubname + '////' + marketPrice + '////' + minPrice + '////' + bannerUrl + '////' + title + '////' + encodeURI(departCity);
            share = share.replace(/\+/g, '%2B');
            location.href = share;
        }
        else {
        }
    });

    //微店首页
    $('#microHome', document).click(function (e) {
        e.preventDefault();
        var shopId = getCookie('microshopid');
        if (getCookie('microshopowner') == '1') {
            window.top.location.href = 'http://weshop.aoyou.com/Transfer?type=0';
        }
        else {
            window.top.location.href = 'http://weshop.aoyou.com/Transfer?type=1&shopid=' + shopId;
        }
    });
    if (getCookie('microshopowner') == '1') {
        $('#microMy').hide();
        $('#microHome').css('right', '10px');
    }
    //微店个人中心
    $('#microMy', document).click(function (e) {
        window.top.location.href = "http://mmy.aoyou.com/Home";
    });
}
var sUserAgent = navigator.userAgent.toLowerCase();
var bIsIpad = sUserAgent.match(/ipad/i) == "ipad";
var bIsIphoneOs = sUserAgent.match(/iphone os/i) == "iphone os";
var bIsAndroid = sUserAgent.match(/android/i) == "android";
var bIsCE = sUserAgent.match(/windows ce/i) == "windows ce";
var bIsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";
var bIsMidp = sUserAgent.match(/midp/i) == "midp";
var bIsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
var bIsUc = sUserAgent.match(/ucweb/i) == "ucweb";

var typeValue = "m";
if (bIsIpad || bIsIphoneOs || bIsAndroid || bIsCE || bIsWM || bIsMidp || bIsUc7 || bIsUc) {
    typeValue = "m";
}
else {
    typeValue = "d";
}

window.criteo_q = window.criteo_q || [];
window.criteo_q.push(
        { event: "setAccount", account: 21994 },
        { event: "setHashedEmail", email: "" },
        { event: "setSiteType", type: typeValue },
        { event: "viewItem", item: "@Model.ProductID" },
        { event: "viewSearch", checkin_date: "@ViewBag.StartDate", checkout_date: "@ViewBag.EndDate" }
);

//以下为公用方法
//增加天
function addDate(dd, dadd) {
    var rDate = new Date(dd)
    rDate = rDate.valueOf()
    rDate = rDate + dadd * 24 * 60 * 60 * 1000
    rDate = new Date(rDate)
    var year = rDate.getFullYear();
    var month = rDate.getMonth() + 1;
    if (month < 10) { month = "0" + month };
    var date = rDate.getDate();
    if (date < 10) { date = "0" + date };
    return (year + "-" + month + "-" + date);
}
//获取默认字符串
function getQueryString(key) {
    var reg = new RegExp("(^|&)" + key + "=([^]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]); return null;
}

//网络监测
function checkNetwork() {
    var img = new Image();
    img.src = 'http://pic1.aoyou.com/images/favicon.ico?' + (new Date());
    img.onerror = function (e) {

        if (devicetype == 'android') {
            window.webinfo.errorActivity();
        }
        else if (devicetype == 'ios') {
            window.location.href = 'http://m.aoyou.com/errorActivity';
        }
        else {
            alert('遨游君提醒您，断网了~')
        }
    }
    return false;
}

//隐藏/显示客服电话和立即预定按钮
function HiddenButton(isShow) {
    if (isShow == undefined || isShow == null) {
        isShow = false;
    }
    if (isShow == true) {
        $(".product-fix").show();
    }
    else if (isShow == false) {
        $(".product-fix").hide();
    }
}

//打开对应子页，并保持头部浮动在最上方
function OpenSingleItem(id, num) {
    window.aIndex = num;
    if (window.aIndex != 0) {
        var height = 0;
        for (var i = 0; i < window.aIndex; i++) {
            if (id == "hotelLayer") {
                height += $('#Hotel' + i).height();
            }
            if (id == "journeyLayer") {
                height += $('#Journey' + i).height();
            }
        }
        height += 10;
        $('.page-content').scrollTop(height);
    }
    else {
        $('.page-content').scrollTop(0);
    }
}

//预定
function booking(money, departDate) {
    var tempMoney = Number(money);
    var status = $('#ProductStatus').val();
    var productid = $('#productid').val();
    var productname = encodeURI($('#maintitle').val());
    var departCity = $('#departCity').val();
    var departCityText = encodeURI($('#departCityText').val());
    var destinationCity = $('#destinationCity').val();
    var destinationCityText = encodeURI($('#destinationCityText').val());
    var proFlag = $('#proFlag').val();
    var dateDuration = $('#dateDuration').val();
    var endDate = addDate(departDate, dateDuration);
    var tag = $('#tag').val();
    if (getCookie("microshopowner") == "1") {
        //微店店主不可预定
    }
    else {
        if (status && typeof (status) != 'undefined' && status == '30') {
            var url = 'http://mbook.aoyou.com/S/Create/Index.html?pid=' + productid + '&pt=4' + '&i=' + tag + '&dt=' + departDate;
            if (devicetype == 'android') {
                window.webinfo.openBooking(url);
            }
            else if (devicetype == 'ios') {
                window.location.href = 'action.open://mbook.aoyou.com/S/Create/Index.html?pid=' + productid + '&pt=4' + '&i=' + tag + '&dt=' + departDate;;
            }
            else {
                //支持多机多酒
                window.top.location.href = url;
            }
        }
        else {
            alert('该产品不可售卖');
        }
    }
}

//Android物理按键回到主页面
function layerBack() {
    if (Blend.ui.getLayerId() != '0') {
        $("#showPic").animate({ opacity: "1" });
        Blend.ui.layerBack();
        HiddenButton(true);
    }
    else {
        window.webinfo.closeActivity(3);
    }
}

//日历初始化
function InitCalendar(datePriceList, monthStr) {

    //var datePriceStr = $('#DatePriceStr').val();
    //if (!datePriceStr || typeof (datePriceStr) == 'undefined') {
    //    return false;
    //}
    //var datePriceList = JSON.parse(datePriceStr.replace(/&quot;/g, '"'));

    //var monthStr = $('#MonthStr').val();
    var monthList = [];
    if (monthStr && typeof (monthStr) != 'undefined') {
        monthList = monthStr.split(',');
    }
    else {
        monthList.push(getMouth());
    }
    var str = "";
    var currentMonth;
    for (var i = 0; i < monthList.length; i++) {
        if (datePriceList[i].IsCurrentShow) {//i == 0
            str += "<nav class='main-nav active' role='navigation'>" + monthList[i] + "月</nav>";
            currentMonth = monthList[i]
        } else {
            str += "<nav class='main-nav' role='navigation'>" + monthList[i] + "月</nav>";
        }
    }

    $('#navData').append(str);

    getTargetDate(currentMonth, datePriceList);

    var $switch = $('.wrap-switch')
    $switch.on("click", function () {
        if ($switch.attr('class').indexOf("wrap-active") > -1) {
            $switch.removeClass('wrap-active');
            $('.wrap-switch-handle').css('-webkit-transform', 'translate(0px, 0px)');
            $('#navDataMain').show();
            $('#calenderTips').show();
            getTargetDate(currentMonth, datePriceList);
        } else {
            $switch.addClass('wrap-active');
            $('.wrap-switch-handle').css('-webkit-transform', 'translate(20px, 0px)');
            $('#navDataMain').hide();
            $('#calenderTips').hide();
            getMinDate(currentMonth, datePriceList);
            //var proFlag = $("#proFlag").val();
            //if (proFlag == 3) {
            //    $(".wrap-h20").hide();
            //} else {
            //    $(".wrap-h20").show();
            //}
        }
    });

    $('.main-nav').on("click", function () {
        $(this).addClass('active');
        $(this).siblings().removeClass('active');

        currentMonth = $(this).text().split("月")[0];

        if ($('.wrap-switch').attr('class').indexOf("wrap-active") > -1) {
            getMinDate(currentMonth, datePriceList);
        } else {
            getTargetDate(currentMonth, datePriceList);
        }
    });
}

// 自动生成日期
function getTargetDate(month, arr) {
    var currentMonthPrice;
    if (arr.length > 0) {
        for (i = 0; i < arr.length; i++) {
            if (arr[i]['CurrentMonth'] == month) {
                currentMonthPrice = arr[i]['PriceViewList'];
                break;
            }
        }
    }

    $("#navDataSub").empty();
    var strSub = "";
    var myDay = getDays(month);
    var g = 1;
    var k = 0;
    var surplusWeek = getWeek(month);
    var surplusDay = surplusWeek + myDay;
    var row = Math.ceil(surplusDay / 7);

    for (var i = 0; i < row; i++) {
        var str = "";
        for (var j = 0; j < 7; j++) {
            if (i == 0 && j < surplusWeek) {
                str += "<section class='data-info' role='calendar'></section>";
            } else {
                if (k < currentMonthPrice.length) {
                    var currentDate = getDateFromStr(currentMonthPrice[k]['DepartDate']);
                    if ((currentDate.getMonth() + 1) == month && currentDate.getDate() == g) {
                        if (currentMonthPrice[k]['FreeTourType'] == 2) {
                            if (currentMonthPrice[k]['HotelStock'] > 0 && currentMonthPrice[k]['AirStock'] > 0) {
                                str += "<section class='data-info data-click' role='calendar'><span class='tip'></span><span class='day'>" + g + "</span><span class='money'>￥" + currentMonthPrice[k]['ShowPrice'] + "</span>" +
                                    "<span class='hide'>" + currentMonthPrice[k]['DepartDate'] + "</span>"
                                    + "</section>"
                            }
                            else {
                                str += "<section class='data-info' role='calendar'><span class='sellout-text'>售罄</span><span class='sellout-money'>￥" + currentMonthPrice[k]['ShowPrice'] + "</span></section>"
                            }
                        }
                        else {
                            str += "<section class='data-info data-click' role='calendar'><span class='day'>" + g + "</span><span class='money'>￥" + currentMonthPrice[k]['ShowPrice'] + "</span>" +
                                "<span class='hide'>" + currentMonthPrice[k]['DepartDate'] + "</span>"
                                + "</section>"
                        }
                        g++;
                        k++;
                    } else if (g > myDay) {
                        str += "<section class='data-info' role='calendar'></section>"
                    } else {
                        str += "<section class='data-info' role='calendar'>" + g + "</section>";
                        g++;
                    }
                }
                else {
                    if (g > myDay) {
                        str += "<section class='data-info' role='calendar'></section>"
                    } else {
                        str += "<section class='data-info' role='calendar'>" + g + "</section>";
                        g++;
                    }
                }
            }
        }
        strSub += "<div class='data-wrap'>" + str + "</div>";
    }
    $('#navDataSub').append(strSub);

    $('.data-click').on("click", function (e) {
        var money = $(this).children('.money').text();
        if (money && typeof (money) != 'undefined')
            money = money.replace(/￥/, '');
        else
            money = '0';
        var departDate = $(this).children('.hide').text();
        booking(money, departDate);
    });

}

function getMinDate(month, arr) {
    var currentMonthPrice;
    if (arr.length > 0) {
        for (i = 0; i < arr.length; i++) {
            if (arr[i]['CurrentMonth'] == month) {
                currentMonthPrice = arr[i]['PriceViewList'];
                break;
            }
        }
    }
    var imList = [];
    for (var i = 0; i < currentMonthPrice.length; i++) {
        if (currentMonthPrice[i]['FreeTourType'] == 2 && currentMonthPrice[i]['HotelStock'] > 0 && currentMonthPrice[i]['AirStock'] > 0) {
            imList.push(currentMonthPrice[i]);
        }
    }

    $("#navDataSub").empty();
    var strSub = "";
    var g = 0;
    var k = 0;
    var row = Math.ceil(imList.length / 4);

    for (var i = 0; i < row; i++) {
        var str = "";
        for (var j = 0; j < 4; j++) {
            if (g > imList.length - 1) {
                str += "<section class='data-info biginfo' role='calender'></section>";
            } else {
                var currentDate = getDateFromStr(imList[k]['DepartDate']);

                if (imList[k]['HotelStock'] > 0 && imList[k]['AirStock'] > 0) {
                    if (imList[k]['AirStock'] > 9 && imList[k]['HotelStock'] > 9) {
                        str += "<section class='data-info data-click biginfo' role='calender'><p class='scheduleDate'><i>" + currentDate.getDate() + "</i>" + getWeekStr(currentDate) +
                         "</p><p class='scheduleMoney'>￥" + imList[k]['ShowPrice'] + "</p><p class='wrap-h20'>机票：<i  class='scheduleMoney'>充足</i></p><p class='wrap-h20'>酒店：<i  class='scheduleMoney'>充足</i></p>" +
                          "<span class='hide'>" + imList[k]['DepartDate'] + "</span>"
                         + "</section>";
                    }
                    else if (imList[k]['AirStock'] > 9) {
                        str += "<section class='data-info data-click biginfo' role='calender'><p class='scheduleDate'><i>" + currentDate.getDate() + "</i>" + getWeekStr(currentDate) +
                       "</p><p class='scheduleMoney'>￥" + imList[k]['ShowPrice'] + "</p><p class='wrap-h20'>机票：<i  class='scheduleMoney'>充足</i></p><p class='wrap-h20'>酒店：<i  class='scheduleMoney'>" + imList[k]['HotelStock'] + "</i></p>" +
                        "<span class='hide'>" + imList[k]['DepartDate'] + "</span>"
                       + "</section>";
                    }
                    else if (imList[k]['HotelStock'] > 9) {
                        str += "<section class='data-info data-click biginfo' role='calender'><p class='scheduleDate'><i>" + currentDate.getDate() + "</i>" + getWeekStr(currentDate) +
                           "</p><p class='scheduleMoney'>￥" + imList[k]['ShowPrice'] + "</p><p class='wrap-h20'>机票：<i  class='scheduleMoney'>" + imList[k]['AirStock'] + "</i></p><p class='wrap-h20'>酒店：<i  class='scheduleMoney'>充足</i></p>" +
                            "<span class='hide'>" + imList[k]['DepartDate'] + "</span>"
                           + "</section>";
                    }

                    else {
                        str += "<section class='data-info data-click biginfo' role='calender'><p class='scheduleDate'><i>" + currentDate.getDate() + "</i>" + getWeekStr(currentDate) +
                            "</p><p class='scheduleMoney'>￥" + imList[k]['ShowPrice'] + "</p><p class='wrap-h20'>机票：<i  class='scheduleMoney'>" + imList[k]['AirStock'] + "</i></p><p class='wrap-h20'>酒店：<i  class='scheduleMoney'>" + imList[k]['HotelStock'] + "</i></p>" +
                             "<span class='hide'>" + imList[k]['DepartDate'] + "</span>"
                            + "</section>";
                    }
                }
                k++;
                g++;
            }

        }
        strSub += "<div class='data-wrap'>" + str + "</div>";
    }
    $('#navDataSub').append(strSub);
    $('.data-click').on("click", function (e) {
        var money = $(this).children('.scheduleMoney').text();
        if (money && typeof (money) != 'undefined')
            money = money.replace(/￥/, '');
        else
            money = '0';
        var departDate = $(this).children('.hide').text();
        booking(money, departDate);
    });
}

function getMouth() {
    var date = new Date();
    return date.getMonth() + 1;
}

function getWeek(s) {

    var nowDate = new Date();
    var date = "";
    if (nowDate.getMonth() + 1 > s) {
        date = s + "/1/" + nowDate.getFullYear() + 1;
    }
    else {
        date = s + "/1/" + nowDate.getFullYear();
    }

    var day = new Date(Date.parse(date.replace(/-/g, '/')));
    return day.getDay();
}

function getDays(s) {

    var nowDate = new Date();
    var date = "";
    if (nowDate.getMonth() + 1 > s) {
        date = s + "/1/" + nowDate.getFullYear() + 1;
    }
    else {
        date = s + "/1/" + nowDate.getFullYear();
    }

    date = new Date(Date.parse(date.replace(/-/g, '/')));
    var year = date.getFullYear();
    var mouth = date.getMonth() + 1;
    var days;
    if (mouth == 2) {
        days = year % 4 == 0 ? 29 : 28;
    }
    else if (mouth == 1 || mouth == 3 || mouth == 5 || mouth == 7 || mouth == 8 || mouth == 10 || mouth == 12) {
        days = 31;
    }
    else {
        days = 30;
    }
    return days;
}

function getDateFromStr(date) {
    return new Date(date.replace(/-/g, '/').replace(/T/, ' '))
}

function getWeekStr(date) {
    var Week = ['日', '一', '二', '三', '四', '五', '六'];
    var str = ' 星期' + Week[date.getDay()];
    return str;
}

//获取指定名称的cookie的值
function getCookie(objName) {
    //获得cookie
    var bikky = document.cookie;
    objName += "=";
    var i = 0;
    //如果cookie 不为空则 循环截取出 相应 名称 的cookie值
    while (i < bikky.length) {
        var offset = i + objName.length;
        if (bikky.substring(i, offset) == objName) {
            var endstr = bikky.indexOf(";", offset);
            if (endstr == -1) endstr = bikky.length;
            return unescape(bikky.substring(offset, endstr));
        }
        i = bikky.indexOf(" ", i) + 1;
        if (i == 0) break;
    }
    return null;
}

//拼页面
function pinHtml(getStorage) {
    if (getStorage != 'null' && typeof (getStorage) != 'undefined' && getStorage != '' && getStorage != null) {
        var arr = getStorage.split("||");
        var arrresult = arr.reverse();       //字符串转化为数组
        var history_html = "<ul class='infoList' id='infoList' data-role='recordList'>";
        for (var temp = 0; temp < arrresult.length; temp++) {
            //截取字符串
            var productid = arrresult[temp].substring(arrresult[temp].indexOf('productid=') + 10, arrresult[temp].lastIndexOf(';title'));
            var title = arrresult[temp].substring(arrresult[temp].indexOf('title=') + 6, arrresult[temp].lastIndexOf(';subtitle'));
            var subtitle = arrresult[temp].substring(arrresult[temp].indexOf('subtitle=') + 9, arrresult[temp].lastIndexOf(';money'));
            var money = arrresult[temp].substring(arrresult[temp].indexOf('money=') + 6, arrresult[temp].lastIndexOf(';url'));
            var url = arrresult[temp].substring(arrresult[temp].indexOf('url=') + 4, arrresult[temp].lastIndexOf(';time'));

            /////拼页面
            history_html += "<a href='" + url + "'><li class='infoEntry clearfix'><h3 class='infoTitle'><span>" + title + "</span>" + subtitle + "</h3>";
            history_html += " <p class='infoPrice'><span>￥" + money + "</span>起</p>";
            history_html += "</li></a>";
        }
        history_html += "</ul>";
        $(".pin_history_html").html(history_html);
    }
}

//cookie 过期时间
var confitime = $("#hidcookie").val();
//---------------浏览历史页面
//将数组写入cookie
var arr = new Array();
function bindSearchHistory() {
    var obj = new Array();
    var hiscoo = localStorage.getItem("hiscookie");//读取数据
    if (hiscoo != 'null' && typeof (hiscoo) != 'undefined' && hiscoo != '' && hiscoo != null) {
        obj = hiscoo.split("||");       //字符串转化为数组
    }
    //新数组
    var productid = $("#productid").val();
    var title = $("#maintitle").val();
    var subtitle = $("#subtitle").val();
    var money = $("#money").val();
    var url = location.href;
    var time = showLeftTime();
    var isSupport = $("#proFlag").val();
    var pin = "productid=" + productid + ";title=" + title + ";subtitle=" + subtitle + ";money=" + money + ";url=" + url + ";time=" + time + ";";

    if (distinct()) {
        obj.push(pin); //存数组 .reverse()
        if (money != 0) {
            localStorage.setItem("hiscookie", obj.join('||'));//存储数据
        }
    }
    if (obj.length > 8) {
        obj.splice(0, 1);
        localStorage.setItem("hiscookie", obj.join('||'));//存储数据
    }

    //判断是否重复
    function distinct() {
        for (var sp = 0; sp < obj.length; sp++) {
            ///////判断是否过期
            var datetime = obj[sp].substring(obj[sp].indexOf(';time=') + 6, obj[sp].lastIndexOf(';'));
            var historydate = getDateFromStr(datetime); //历史时间
            var lastindex = obj.length - 1;
            var phistor = AddHours(historydate, confitime);
            var nowtime = getDateFromStr(time);        //当前时间
            if (nowtime > phistor) //     当前时间>（历史时间+过期时间）
            {
                obj.splice(sp, 1);
            }
            ///////判断是否有重复
            if (obj[sp] != "" && obj[sp] != 'null' && typeof (obj[sp]) != 'undefined') {
                var proid = obj[sp].substring(obj[sp].indexOf('productid=') + 10, obj[sp].lastIndexOf(';title'));
                if (productid == proid && productid != null) {
                    //有重复判断日期将旧的删除
                    var datetime = obj[sp].substring(obj[sp].indexOf(';time=') + 6, obj[sp].lastIndexOf(';'));
                    obj.splice(sp, 1)
                }
            }
        }
        return true;
    }
}
//增加时
function AddHours(date, value) {
    var nmbvalue = Number(value);
    date.setHours(date.getHours() + nmbvalue);
    return date;
}

//日期
function showLeftTime() {
    var now = new Date();
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    var day = now.getDate();
    var hours = now.getHours();
    var minutes = now.getMinutes();
    var seconds = now.getSeconds();
    var time = "" + year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds + "";
    return time;
}